<?php

/**
 * Add/Edit a predefined message
 *
 * PHP version 5
 *
 * Copyright © 2013 Mélissa Djebel
 *
 * This file is part of Galette (http://galette.tuxfamily.org).
 *
 * Plugin ObjectsLend is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Galette. If not, see <http://www.gnu.org/licenses/>.
 *
 * @category  Plugins
 * @package   QR Code
 *
 * @author    Mélissa Djebel <melissa.djebel@gmx.net>
 * @copyright 2013 Mélissa Djebel
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GPL License 3.0 or (at your option) any later version
 * @version   0.2.0
 * @link      http://galette.tuxfamily.org
 * @since     Available since 0.7
 */
define('GALETTE_BASE_PATH', '../../');
require_once GALETTE_BASE_PATH . 'includes/galette.inc.php';
if (!$login->isLogged() || (!$login->isAdmin() && !$login->isStaff())) {
    header('location: ' . GALETTE_BASE_PATH . 'index.php');
    die();
}
require_once '_config.inc.php';

$tpl->assign('page_title', _T("QR EDIT.PAGE TITLE"));
//Set the path to the current plugin's templates,
//but backup main Galette's template path before
$orig_template_path = $tpl->template_dir;
$tpl->template_dir = 'templates/' . $preferences->pref_theme;

// Récupération id
$msg_id = array_key_exists('msg_id', $_GET) ? $_GET['msg_id'] : null;

/**
 * Modification du message 
 */
if (array_key_exists('msg_id', $_POST)) {
    $message = new QrMessage(intval($_POST['msg_id']));
    $message->title = $_POST['title'];
    $message->message = str_replace('"', '”', $_POST['message']);
    $message->store();
    header('Location: qr_messages.php?msg=saved');
}

/**
 * Lecture du message à éditer 
 */
if ($msg_id != null) {
    $msg = new QrMessage(intval($msg_id));
} else {
    $msg = new QrMessage();
}

$tpl->assign('message', $msg);

$content = $tpl->fetch('qr_msg_edit.tpl', QR_SMARTY_PREFIX);
$tpl->assign('content', $content);
//Set path to main Galette's template
$tpl->template_dir = $orig_template_path;
$tpl->display('page.tpl', QR_SMARTY_PREFIX);
?>
